AddInstances#

Description#

Adding instances to a PaaS service.

Request Parameters#

Required parameters#

  • instanceQty — The number of instances.

    • Type: String

    • Required: Yes

  • role — The instance role.

    • Type: String

    • Required: Yes

  • serviceId — The service ID.

    • Type: String

    • Required: Yes

Optional parameters#

  • networkInterfaceIds — List of network interface IDs.

    • Type: Array of strings

    • Required: No

    • Constraints: Only if the service was initially created using the networkInterfaceIds parameter

Response Elements#

  • service — Detailed description of a service.

Examples#

Managing PaaS services in K2 Cloud via API requires a customized version of the boto3 library:

import boto3

session = boto3.Session(
   aws_access_key_id="<AWS_ACCESS_KEY_ID>",
   aws_secret_access_key="<AWS_SECRET_ACCESS_KEY>",
   region_name="",
)

paas_client = session.client(
   'paas',
   endpoint_url='https://paas.ru-msk.k2.cloud/',
)

paas_client.add_instances(
   serviceId='fm-cluster-7867D61F',
   role='node',
   instanceQty='3'
)

Or c2-paas utility from K2 Cloud API Client software suite:

c2-paas AddInstances serviceId fm-cluster-7867D61F role node instanceQty 3